package usecase

import (
	"context"
)

type SMSClientUseCase interface {
	SendSMS(ctx context.Context, req SMSReq) error
}

type SMSReq struct {
	// RecipientAddress 接收者號碼
	RecipientAddress string
	// RecipientName 接收者姓名
	RecipientName string
	// Body 要傳送的訊息
	Body string
}
