package senderservicelogic

import (
	"app-cloudep-notification-service/gen_result/pb/notification"
	"app-cloudep-notification-service/internal/svc"
	"context"

	"github.com/zeromicro/go-zero/core/logx"
)

type SendMailByTemplateIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSendMailByTemplateIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SendMailByTemplateIdLogic {
	return &SendMailByTemplateIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// SendMailByTemplateId 寄送模板信件
func (l *SendMailByTemplateIdLogic) SendMailByTemplateId(in *notification.SendByTemplateIDReq) (*notification.OKResp, error) {

	return &notification.OKResp{}, nil
}
